Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 08 Apr 2021 12:37:41 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Michael Welsh Duggan <[email-masked]>
>> Cc: Michael Welsh Duggan <[email-masked]>,
>>         "[email-masked]"
>>  <[email-masked]>,
>>         "[email-masked]" <[email-masked]>
>> Date: Thu, 08 Apr 2021 12:05:57 -0400
>> 
>> >> #26 0x000055555583108e in print_error_message
>> >> (data=XIL(0x55555732d343), stream=XIL(0x30), context=0x7ffff2c64148
>> >> "", caller=XIL(0)) at ../../master/src/print.c:944
>> >>         error_conditions = XIL(0x7ffff2c2da13)
>> >>         errname = XIL(0xb820)
>> >>         errmsg = make_fixnum(23456248526235)
>> >>         file_error = XIL(0x7fffffffd4c0)
>> >>         tail = XIL(0x30)
>> >
>> > What error message does this attempt to print?
>> 
>> (gdb) p errname
>> $8 = XIL(0xb820)
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) xpr
>> Lisp_Symbol
>> $9 = (struct Lisp_Symbol *) 0x555555e6e8a0 <lispsym+47136>
>> "quit"
>> (gdb) p errmsg
>> $10 = XIL(0x55555571d654)
>> (gdb) xpr
>> Lisp_String
>> $11 = (struct Lisp_String *) 0x55555571d650 <builtin_lisp_symbol+44>
>> 0
>> (gdb) p error_conditions
>> $14 = XIL(0x7ffff2c2da33)
>> (gdb) xpr
>> Lisp_Cons
>> $15 = (struct Lisp_Cons *) 0x7ffff2c2da30
>> {
>>   u = {
>>     s = {
>>       car = XIL(0xb820),
>>       u = {
>>         cdr = XIL(0),
>>         chain = 0x0
>>       }
>>     },
>>     gcaligned = 0x20
>>   }
>> }
>> (gdb) xlist
>> $16 = 0xb820
>> Lisp_Symbol
>> $17 = (struct Lisp_Symbol *) 0x555555e6e8a0 <lispsym+47136>
>> "quit"
>> ---
>> nil
>
> So is this the result of your typing C-g?

Yes.  In the scenario I have presented, this is where Emacs is
unresponsive (busy cursor), presumably trying to interact with a network
connection that has gone away to the VPN being switched on or off, and I
type C-g twice rapidly in succession to regain interactivity, after
which I would normally then attempt to manually reset the gnus
connections.

-- 
Michael Welsh Duggan
([email-masked])